atkmm: Atk Namespace Reference

atkmm 2.36.4

Classes | Typedefs | Enumerations | Functions
Atk Namespace Reference

The ATK interface which provides standard mechanism for manipulating hyperlinks. More...

## Classes
class | Action
| The ATK interface provided by UI components which the user can activate/interact with, This should be implemented by instances of Atk::Object classes with which the user can interact directly, i.e. More...
class | Component
| The ATK interface provided by UI components which occupy a physical area on the screen. More...
class | Document
| The ATK interface which allows access to a DOM associated with on object. More...
class | EditableText
| The ATK interface implemented by components containing user-editable text content. More...
class | Hyperlink
| Encapsulates a link or set of links in a hypertext document. More...
class | Hypertext
class | Image
| The ATK Interface implemented by components which expose image or pixmap content on-screen. More...
class | Implementor
class | NoOpObject
| An Atk::NoOpObject is an Atk::Object which purports to implement all ATK interfaces. More...
class | Object
| The base object class for the Accessibility Toolkit API. More...
class | ObjectAccessible
| This object class is derived from AtkObject and can be used as a basis implementing accessible objects. More...
class | Range
| A given range or subrange, to be used with Atk::Value. More...
class | Relation
| An Atk::Relation describes a relation between an object and one or more other objects. More...
class | RelationSet
| A set of Atk::Relations, normally the set of AtkRelations which an Atk::Object has. More...
class | Selection
| The ATK interface implemented by container objects whose Atk::Object children can be selected. More...
class | StateSet
| An AtkStateSet determines a component's state set. More...
class | StreamableContent
| The ATK interface which provides access to streamable content. More...
class | Table
| The ATK interface implemented for UI components which contain tabular or row/column information. More...
class | Attribute
struct | AttributeTraits
class | TextAttribute
class | Text
| The ATK interface implemented by components with text content. More...
class | Value
| The ATK interface implemented by valuators and components which display or select a value from a bounded range of values. More...

## Typedefs
typedef guint64 | State

## Enumerations
enum class | CoordType { CoordType::SCREEN , CoordType::WINDOW , CoordType::PARENT }
| Specifies how xy coordinates are to be interpreted. More...
enum class | Layer { Layer::INVALID , Layer::BACKGROUND , Layer::CANVAS , Layer::WIDGET , Layer::MDI , Layer::POPUP , Layer::OVERLAY , Layer::WINDOW }
| Describes the layer of a component. More...
enum class | Role { Role::INVALID , Role::ACCEL_LABEL , Role::ALERT , Role::ANIMATION , Role::ARROW , Role::CALENDAR , Role::CANVAS , Role::CHECK_BOX , Role::CHECK_MENU_ITEM , Role::COLOR_CHOOSER , Role::COLUMN_HEADER , Role::COMBO_BOX , Role::DATE_EDITOR , Role::DESKTOP_ICON , Role::DESKTOP_FRAME , Role::DIAL , Role::DIALOG , Role::DIRECTORY_PANE , Role::DRAWING_AREA , Role::FILE_CHOOSER , Role::FILLER , Role::FONT_CHOOSER , Role::FRAME , Role::GLASS_PANE , Role::HTML_CONTAINER , Role::ICON , Role::IMAGE , Role::INTERNAL_FRAME , Role::LABEL , Role::LAYERED_PANE , Role::LIST , Role::LIST_ITEM , Role::MENU , Role::MENU_BAR , Role::MENU_ITEM , Role::OPTION_PANE , Role::PAGE_TAB , Role::PAGE_TAB_LIST , Role::PANEL , Role::PASSWORD_TEXT , Role::POPUP_MENU , Role::PROGRESS_BAR , Role::PUSH_BUTTON , Role::RADIO_BUTTON , Role::RADIO_MENU_ITEM , Role::ROOT_PANE , Role::ROW_HEADER , Role::SCROLL_BAR , Role::SCROLL_PANE , Role::SEPARATOR , Role::SLIDER , Role::SPLIT_PANE , Role::SPIN_BUTTON , Role::STATUSBAR , Role::TABLE , Role::TABLE_CELL , Role::TABLE_COLUMN_HEADER , Role::TABLE_ROW_HEADER , Role::TEAR_OFF_MENU_ITEM , Role::TERMINAL , Role::TEXT , Role::TOGGLE_BUTTON , Role::TOOL_BAR , Role::TOOL_TIP , Role::TREE , Role::TREE_TABLE , Role::UNKNOWN , Role::VIEWPORT , Role::WINDOW , Role::HEADER , Role::FOOTER , Role::PARAGRAPH , Role::RULER , Role::APPLICATION , Role::AUTOCOMPLETE , Role::EDITBAR , Role::EMBEDDED , Role::ENTRY , Role::CHART , Role::CAPTION , Role::DOCUMENT_FRAME , Role::HEADING , Role::PAGE , Role::SECTION , Role::REDUNDANT_OBJECT , Role::FORM , Role::LINK , Role::INPUT_METHOD_WINDOW , Role::TABLE_ROW , Role::TREE_ITEM , Role::DOCUMENT_SPREADSHEET , Role::DOCUMENT_PRESENTATION , Role::DOCUMENT_TEXT , Role::DOCUMENT_WEB , Role::DOCUMENT_EMAIL , Role::COMMENT , Role::LIST_BOX , Role::GROUPING , Role::IMAGE_MAP , Role::NOTIFICATION , Role::INFO_BAR , Role::LEVEL_BAR , Role::TITLE_BAR , Role::BLOCK_QUOTE , Role::AUDIO , Role::VIDEO , Role::DEFINITION , Role::ARTICLE , Role::LANDMARK , Role::LOG , Role::MARQUEE , Role::MATH , Role::RATING , Role::TIMER , Role::DESCRIPTION_LIST , Role::DESCRIPTION_TERM , Role::DESCRIPTION_VALUE , Role::STATIC , Role::MATH_FRACTION , Role::MATH_ROOT , Role::SUBSCRIPT , Role::SUPERSCRIPT , Role::FOOTNOTE , Role::CONTENT_DELETION , Role::CONTENT_INSERTION , Role::MARK , Role::SUGGESTION , Role::LAST_DEFINED }
| Describes the role of an object. More...
enum class | StateType { StateType::INVALID , StateType::ACTIVE , StateType::ARMED , StateType::BUSY , StateType::CHECKED , StateType::DEFUNCT , StateType::EDITABLE , StateType::ENABLED , StateType::EXPANDABLE , StateType::EXPANDED , StateType::FOCUSABLE , StateType::FOCUSED , StateType::HORIZONTAL , StateType::ICONIFIED , StateType::MODAL , StateType::MULTI_LINE , StateType::MULTISELECTABLE , StateType::OPAQUE , StateType::PRESSED , StateType::RESIZABLE , StateType::SELECTABLE , StateType::SELECTED , StateType::SENSITIVE , StateType::SHOWING , StateType::SINGLE_LINE , StateType::STALE , StateType::TRANSIENT , StateType::VERTICAL , StateType::VISIBLE , StateType::MANAGES_DESCENDANTS , StateType::INDETERMINATE , StateType::TRUNCATED , StateType::REQUIRED , StateType::INVALID_ENTRY , StateType::SUPPORTS_AUTOCOMPLETION , StateType::SELECTABLE_TEXT , StateType::DEFAULT , StateType::ANIMATED , StateType::VISITED , StateType::CHECKABLE , StateType::HAS_POPUP , StateType::HAS_TOOLTIP , StateType::READ_ONLY , StateType::LAST_DEFINED }
| The possible types of states of an object. More...
enum class | BuiltinTextAttribute { BuiltinTextAttribute::INVALID , BuiltinTextAttribute::LEFT_MARGIN , BuiltinTextAttribute::RIGHT_MARGIN , BuiltinTextAttribute::INDENT , BuiltinTextAttribute::INVISIBLE , BuiltinTextAttribute::EDITABLE , BuiltinTextAttribute::PIXELS_ABOVE_LINES , BuiltinTextAttribute::PIXELS_BELOW_LINES , BuiltinTextAttribute::PIXELS_INSIDE_WRAP , BuiltinTextAttribute::BG_FULL_HEIGHT , BuiltinTextAttribute::RISE , BuiltinTextAttribute::UNDERLINE , BuiltinTextAttribute::STRIKETHROUGH , BuiltinTextAttribute::SIZE , BuiltinTextAttribute::SCALE , BuiltinTextAttribute::WEIGHT , BuiltinTextAttribute::LANGUAGE , BuiltinTextAttribute::FAMILY_NAME , BuiltinTextAttribute::BG_COLOR , BuiltinTextAttribute::FG_COLOR , BuiltinTextAttribute::BG_STIPPLE , BuiltinTextAttribute::FG_STIPPLE , BuiltinTextAttribute::WRAP_MODE , BuiltinTextAttribute::DIRECTION , BuiltinTextAttribute::JUSTIFICATION , BuiltinTextAttribute::STRETCH , BuiltinTextAttribute::VARIANT , BuiltinTextAttribute::STYLE , BuiltinTextAttribute::TEXT_POSITION , BuiltinTextAttribute::LAST_DEFINED }
| Describes the text attributes supported. More...

## Functions
void | init ()
| Initialize atkmm.
Glib::RefPtr< Atk::Action > | wrap (AtkAction * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Component > | wrap (AtkComponent * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Document > | wrap (AtkDocument * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::EditableText > | wrap (AtkEditableText * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Hyperlink > | wrap (AtkHyperlink * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Hypertext > | wrap (AtkHypertext * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Image > | wrap (AtkImage * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Implementor > | wrap (AtkImplementor * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::NoOpObject > | wrap (AtkNoOpObject * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Object > | wrap (AtkObject * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::ObjectAccessible > | wrap (AtkGObjectAccessible * object, bool take_copy=false)
| A Glib::wrap() method for this object.
void | swap (Range & lhs, Range & rhs) noexcept
Atk::Range | wrap (AtkRange * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Relation > | wrap (AtkRelation * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::RelationSet > | wrap (AtkRelationSet * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Selection > | wrap (AtkSelection * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::StateSet > | wrap (AtkStateSet * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::StreamableContent > | wrap (AtkStreamableContent * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Table > | wrap (AtkTable * object, bool take_copy=false)
| A Glib::wrap() method for this object.
void | swap (Attribute & lhs, Attribute & rhs)
Glib::RefPtr< Atk::Text > | wrap (AtkText * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Value > | wrap (AtkValue * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The ATK interface which provides standard mechanism for manipulating hyperlinks.

## Typedef Documentation

## ◆ State

typedef guint64 Atk::State

## Function Documentation

## ◆ init()

void Atk::init | ( |  | ) |

Initialize atkmm.

You may call this more than once. You do not need to call this if you are using Gtk::Main, because it calls this for you.